//
//  OCRResult.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 03.09.19.
//

import Foundation
import ScanbotSDK

struct OCRResult {
    let plainText: String?
    let pdfURL: URL?
    
    init(sdkORCResult: SBSDKOCRResult, pdfURL: URL?) {
        self.plainText = sdkORCResult.recognizedText
        self.pdfURL = pdfURL
    }
    
    var encodedString: String? {
        var dictionary: [String: Any?] = ["plainText": self.plainText]
        if let uri = self.pdfURL?.absoluteString {
            dictionary["pdfFileUri"] = uri
        }
        return dictionary.encodedString
    }
}
